/*
 * Copyright (C) 2015 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// Don't edit this file!  It is auto-generated by frameworks/rs/api/gen_runtime.

/*
 * rs_program.rsh: Program object routines
 *
 */
#ifndef RENDERSCRIPT_RS_PROGRAM_RSH
#define RENDERSCRIPT_RS_PROGRAM_RSH

/*
 * Get program raster cull mode
 *
 * Parameters:
 *   pr program raster to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_cull_mode __attribute__((overloadable))
    rsgProgramRasterGetCullMode(rs_program_raster pr);
#endif

/*
 * Get program raster point sprite state
 *
 * Parameters:
 *   pr program raster to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern bool __attribute__((overloadable))
    rsgProgramRasterIsPointSpriteEnabled(rs_program_raster pr);
#endif

/*
 * Get program store blend destination function
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_blend_dst_func __attribute__((overloadable))
    rsgProgramStoreGetBlendDstFunc(rs_program_store ps);
#endif

/*
 * Get program store blend source function
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_blend_src_func __attribute__((overloadable))
    rsgProgramStoreGetBlendSrcFunc(rs_program_store ps);
#endif

/*
 * Get program store depth function
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_depth_func __attribute__((overloadable))
    rsgProgramStoreGetDepthFunc(rs_program_store ps);
#endif

/*
 * Get program store alpha component color mask
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern bool __attribute__((overloadable))
    rsgProgramStoreIsColorMaskAlphaEnabled(rs_program_store ps);
#endif

/*
 * Get program store blur component color mask
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern bool __attribute__((overloadable))
    rsgProgramStoreIsColorMaskBlueEnabled(rs_program_store ps);
#endif

/*
 * Get program store green component color mask
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern bool __attribute__((overloadable))
    rsgProgramStoreIsColorMaskGreenEnabled(rs_program_store ps);
#endif

/*
 * Get program store red component color mask
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern bool __attribute__((overloadable))
    rsgProgramStoreIsColorMaskRedEnabled(rs_program_store ps);
#endif

/*
 * Get program store depth mask
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern bool __attribute__((overloadable))
    rsgProgramStoreIsDepthMaskEnabled(rs_program_store ps);
#endif

/*
 * Get program store dither state
 *
 * Parameters:
 *   ps program store to query
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern bool __attribute__((overloadable))
    rsgProgramStoreIsDitherEnabled(rs_program_store ps);
#endif

#endif // RENDERSCRIPT_RS_PROGRAM_RSH
