/*
 * Copyright (C) 2015 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// Don't edit this file!  It is auto-generated by frameworks/rs/api/gen_runtime.

/*
 * rs_sampler.rsh: Sampler routines
 *
 */
#ifndef RENDERSCRIPT_RS_SAMPLER_RSH
#define RENDERSCRIPT_RS_SAMPLER_RSH

/*
 *  Get sampler anisotropy
 *
 * Parameters:
 *   s sampler to query
 *
 * Returns: anisotropy
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern float __attribute__((overloadable))
    rsSamplerGetAnisotropy(rs_sampler s);
#endif

/*
 * Get sampler magnification value
 *
 * Parameters:
 *   s sampler to query
 *
 * Returns: magnification value
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_sampler_value __attribute__((overloadable))
    rsSamplerGetMagnification(rs_sampler s);
#endif

/*
 * Get sampler minification value
 *
 * Parameters:
 *   s sampler to query
 *
 * Returns: minification value
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_sampler_value __attribute__((overloadable))
    rsSamplerGetMinification(rs_sampler s);
#endif

/*
 * Get sampler wrap S value
 *
 * Parameters:
 *   s sampler to query
 *
 * Returns: wrap S value
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_sampler_value __attribute__((overloadable))
    rsSamplerGetWrapS(rs_sampler s);
#endif

/*
 * Get sampler wrap T value
 *
 * Parameters:
 *   s sampler to query
 *
 * Returns: wrap T value
 */
#if (defined(RS_VERSION) && (RS_VERSION >= 16))
extern rs_sampler_value __attribute__((overloadable))
    rsSamplerGetWrapT(rs_sampler s);
#endif

#endif // RENDERSCRIPT_RS_SAMPLER_RSH
